const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const league_standings = sequelize.define(
    'league_standings',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

played: {
        type: DataTypes.INTEGER,
      
      

      },

wins: {
        type: DataTypes.INTEGER,
      
      

      },

draws: {
        type: DataTypes.INTEGER,
      
      

      },

losses: {
        type: DataTypes.INTEGER,
      
      

      },

goals_for: {
        type: DataTypes.INTEGER,
      
      

      },

goals_against: {
        type: DataTypes.INTEGER,
      
      

      },

goal_difference: {
        type: DataTypes.INTEGER,
      
      

      },

points: {
        type: DataTypes.INTEGER,
      
      

      },

rank: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  league_standings.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.league_standings.belongsTo(db.leagues, {
      as: 'league',
      foreignKey: {
        name: 'leagueId',
      },
      constraints: false,
    });

    db.league_standings.belongsTo(db.league_teams, {
      as: 'league_team',
      foreignKey: {
        name: 'league_teamId',
      },
      constraints: false,
    });

    db.league_standings.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.league_standings.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.league_standings.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return league_standings;
};


